//  ************************************************************************************************
//
//  BornAgain: simulate and fit reflection and scattering
//
//! @file      GUI/View/PlotUtil/RangeUtil.h
//! @brief     Defines RangeUtil namespace
//!
//! @homepage  http://www.bornagainproject.org
//! @license   GNU General Public License v3 or higher (see COPYING)
//! @copyright Forschungszentrum Jülich GmbH 2018
//! @authors   Scientific Computing Group at MLZ (see CITATION, AUTHORS)
//
//  ************************************************************************************************

#ifndef BORNAGAIN_GUI_VIEW_PLOTUTIL_RANGEUTIL_H
#define BORNAGAIN_GUI_VIEW_PLOTUTIL_RANGEUTIL_H

#include <QList>

class IntensityDataItem;
class SpecularDataItem;

//! Provides few helper functions for ColorMapPlot.

namespace GUI::View::RangeUtil {

//! Sets common Y range for a list of items (zoom).
void setCommonRangeY(QList<SpecularDataItem*> items);

//! Sets common Z range for a list of items (zoom).
void setCommonRangeZ(QList<IntensityDataItem*> items);

} // namespace GUI::View::RangeUtil

#endif // BORNAGAIN_GUI_VIEW_PLOTUTIL_RANGEUTIL_H
